﻿@charset "UTF-8";
.color_default, body {
  background-color: hsl(290, 100%, 10%);
  color: hsl(16, 100%, 90%);
}

.color_button, .content button, .button {
  background-color: hsl(345, 100%, 40%);
  color: hsl(28, 100%, 85%);
}

.color_button_selected, .content button:hover, .button:hover {
  background-color: hsl(345, 100%, 20%);
  color: hsl(28, 100%, 85%);
}

.color_primary {
  background-color: hsl(290, 100%, 5%);
  color: hsl(28, 100%, 85%);
}

.color_secondary {
  background-color: hsl(140, 100%, 5%);
  color: hsl(28, 100%, 85%);
}

.font_highlight {
  font-family: "Great Vibes", cursive;
  font-weight: 400;
  font-style: normal;
}

.font_header, .navbar-menu a {
  font-family: "Comfortaa", sans-serif;
  font-weight: 600;
  font-style: normal;
}

.font_text {
  font-family: "Open Sans", sans-serif;
  font-weight: 300;
  font-style: normal;
}

.color_default, body {
  background-color: hsl(290, 100%, 10%);
  color: hsl(16, 100%, 90%);
}

.color_button, .content button, .button {
  background-color: hsl(345, 100%, 40%);
  color: hsl(28, 100%, 85%);
}

.color_button_selected, .content button:hover, .button:hover {
  background-color: hsl(345, 100%, 20%);
  color: hsl(28, 100%, 85%);
}

.color_primary {
  background-color: hsl(290, 100%, 5%);
  color: hsl(28, 100%, 85%);
}

.color_secondary {
  background-color: hsl(140, 100%, 5%);
  color: hsl(28, 100%, 85%);
}

.font_highlight {
  font-family: "Great Vibes", cursive;
  font-weight: 400;
  font-style: normal;
}

.font_header, .navbar-menu a {
  font-family: "Comfortaa", sans-serif;
  font-weight: 600;
  font-style: normal;
}

.font_text {
  font-family: "Open Sans", sans-serif;
  font-weight: 300;
  font-style: normal;
}

html, body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-size: 18px;
  background-color: black;
}

body {
  margin: 0.5rem auto;
  padding: 1rem;
  max-width: 1200px;
  border-radius: 1rem;
  box-shadow: 0px 0.5rem 1rem rgba(255, 217.6, 204, 0.6);
}

main {
  margin: 1rem 0;
}

h1 {
  font-size: 4rem;
  font-family: "Great Vibes", cursive;
  font-style: normal;
  font-weight: 400;
  margin-bottom: 0rem;
  margin-top: 0rem;
}

h2 {
  font-size: 2rem;
  font-family: "Comfortaa", sans-serif;
  font-style: normal;
  font-weight: 500;
  margin-bottom: 0rem;
  margin-top: 0rem;
}

h3 {
  font-size: 1.5rem;
  font-family: "Great Vibes", cursive;
  font-style: normal;
  font-weight: 400;
  margin-bottom: 0rem;
  margin-top: 0rem;
}

h4 {
  font-size: 1.2rem;
  font-family: "Comfortaa", sans-serif;
  font-style: normal;
  font-weight: 400;
  margin-bottom: 0rem;
  margin-top: 0rem;
}

p {
  font-size: 1rem;
  font-family: "Open Sans", sans-serif;
  font-style: normal;
  font-weight: 400;
  margin-bottom: 0rem;
  margin-top: 0rem;
  text-align: justify;
}

snap {
  font-size: 1rem;
  font-family: "Open Sans", sans-serif;
  font-style: normal;
  font-weight: 400;
  margin-bottom: 0rem;
  margin-top: 0rem;
  text-align: justify;
}

.separator {
  height: 5.5rem;
}

.line_separator {
  display: block;
  width: 100%;
  height: 1px;
  background-color: hsl(16, 100%, 90%);
}

.stack_horisontal_center {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.stack_horisontal_strech {
  display: flex;
  width: 100%;
  flex-direction: row;
  justify-content: space-between;
}

.stack_vertical_center {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.stack_vertical_strech {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.screen_split_1_2 {
  display: grid;
  grid-template-columns: 1fr 2fr;
}

.screen_split_2_1 {
  display: grid;
  grid-template-columns: 2fr 1fr;
}

.screen_split_1_1 {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.screen_first_part {
  grid-column: 1/2;
}

.screen_second_part {
  grid-column: 2/3;
}

.container_center_item {
  display: flex;
  justify-content: center;
  align-items: center;
}

.button {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0.5rem 1rem;
  border-color: transparent;
  transition: 0.5s ease;
  border-radius: 1rem;
  border: none;
  width: 15rem;
  text-decoration: none;
}

@media (max-width: 500px) {
  .button {
    padding: 0.3rem 0.5rem;
    width: 10rem;
  }
}
.button span {
  padding: 0.3rem 1rem;
  border-color: transparent;
  font-size: 1rem;
}

@media (max-width: 1200px) {
  body {
    max-width: 100%;
    margin: 0;
    border-radius: 0;
    box-shadow: none;
  }
}
@media (max-width: 1024px) {
  html {
    font-size: 16px;
  }
  .screen_split_1_2 {
    display: flex;
    flex-direction: column;
  }
  .screen_split_2_1 {
    display: flex;
    flex-direction: column;
  }
  .screen_split_1_1 {
    display: flex;
    flex-direction: column;
  }
}
@media (max-width: 480px) {
  html {
    font-size: 12px;
  }
}
.color_default, body {
  background-color: hsl(290, 100%, 10%);
  color: hsl(16, 100%, 90%);
}

.color_button, .content button, .button {
  background-color: hsl(345, 100%, 40%);
  color: hsl(28, 100%, 85%);
}

.color_button_selected, .content button:hover, .button:hover {
  background-color: hsl(345, 100%, 20%);
  color: hsl(28, 100%, 85%);
}

.color_primary {
  background-color: hsl(290, 100%, 5%);
  color: hsl(28, 100%, 85%);
}

.color_secondary {
  background-color: hsl(140, 100%, 5%);
  color: hsl(28, 100%, 85%);
}

.content .separator {
  height: 5.5rem;
}

.content .flex_center {
  display: flex;
  align-items: center;
  justify-content: center;
}

.content button {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0.5rem 1rem;
  border-color: transparent;
  transition: 0.5s ease;
  border-radius: 1rem;
  border: none;
  width: 15rem;
}

@media (max-width: 500px) {
  .content button {
    padding: 0.3rem 0.5rem;
    width: 10rem;
  }
}
.content button span {
  padding: 0.3rem 1rem;
  border-color: transparent;
  font-size: 1rem;
}

.content-end {
  border: none;
  width: 100%;
  background-color: hsl(16, 100%, 90%);
  height: 1px;
}

.color_default, body {
  background-color: hsl(290, 100%, 10%);
  color: hsl(16, 100%, 90%);
}

.color_button, .button, .content button {
  background-color: hsl(345, 100%, 40%);
  color: hsl(28, 100%, 85%);
}

.color_button_selected, .button:hover, .content button:hover {
  background-color: hsl(345, 100%, 20%);
  color: hsl(28, 100%, 85%);
}

.color_primary {
  background-color: hsl(290, 100%, 5%);
  color: hsl(28, 100%, 85%);
}

.color_secondary {
  background-color: hsl(140, 100%, 5%);
  color: hsl(28, 100%, 85%);
}

.font_highlight {
  font-family: "Great Vibes", cursive;
  font-weight: 400;
  font-style: normal;
}

.font_header, .navbar-menu a {
  font-family: "Comfortaa", sans-serif;
  font-weight: 600;
  font-style: normal;
}

.font_text {
  font-family: "Open Sans", sans-serif;
  font-weight: 300;
  font-style: normal;
}

/* Nav bar*/
.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: hsl(290, 100%, 10%);
  padding: 0.5rem 0;
  position: relative;
  width: 100%;
  z-index: 999;
}

.navbar::after {
  content: "";
  background: hsl(16, 100%, 90%);
  position: absolute;
  height: 1px;
  position: absolute;
  bottom: -1px;
  left: 0;
  display: block;
  width: 100%;
}

.navbar-brand {
  width: 100%;
  height: 10rem;
  background: linear-gradient(to right, rgb(255, 217.6, 204) 0%, rgba(255, 217.6, 204, 0) 100%);
  border-radius: 0.5rem;
  display: flex;
  padding: 0.2rem;
}

.navbar-anonce {
  position: absolute;
  top: 10%;
  right: 10%;
  display: flex;
  flex-direction: column;
  background: none;
  text-align: center;
  align-items: center;
}

.navbar-anonce h2 {
  text-shadow: 0.1rem 0.1rem 0.1rem rgba(42.5, 0, 51, 0.5);
}

.navbar-logo-img {
  height: 100%;
}

.navbar-logo-lettering {
  height: 70%;
  margin: 0 0 0 0.5rem;
}

.navbar-brand a {
  display: flex;
  text-decoration: none;
  font-size: 1.2rem;
  color: hsl(16, 100%, 90%);
  align-items: center;
  padding: 2%;
}

@media (max-width: 768px) {
  .navbar-anonce {
    top: 2.5rem;
    right: 0.1rem;
  }
  .navbar-anonce h2 {
    font-size: 1rem;
  }
  .navbar-anonce h4 {
    font-size: 1rem;
  }
  .navbar-anonce p {
    font-size: 0.8rem;
  }
}
.navbar-toggle {
  position: absolute;
  top: 4rem;
  right: 2rem;
  background-color: rgba(255, 217.6, 204, 0.4);
  padding: 0;
  color: hsl(290, 100%, 10%);
  font-size: 1.3rem;
  cursor: pointer;
  z-index: 10;
  display: flex;
  justify-content: center;
  text-align: center;
  border: none;
  width: 2rem;
  height: 2rem;
  border-radius: 0.4rem;
}

@media (max-width: 768px) {
  .navbar-toggle {
    top: 0.5rem;
    right: 0.1rem;
  }
}
.navbar-menu {
  position: absolute;
  top: 2.5rem;
  right: 5rem;
  background-color: rgba(255, 217.6, 204, 0.2);
  box-shadow: 0.2rem 0.2rem 0.2rem rgba(255, 217.6, 204, 0.5);
  z-index: 99;
  list-style-type: none;
  padding: 1rem 1rem;
  margin: 0;
  display: none;
  border-radius: 1rem;
  backdrop-filter: blur(0.5rem);
}

@media (max-width: 768px) {
  .navbar-menu {
    flex-direction: column;
    background-color: rgba(255, 217.6, 204, 0.4);
  }
}
.navbar-menu.show {
  display: flex;
}

.navbar-menu li {
  margin: 1rem 1rem;
  text-align: center;
}

.navbar-menu a {
  text-decoration: none;
  font-size: 1.2rem;
  transition: 0.5s;
  color: hsl(290, 100%, 10%);
}

.navbar-menu a:hover {
  text-decoration: underline;
  text-underline-offset: 0.5rem;
  text-decoration-color: hsl(16, 100%, 90%);
}

.modal {
  display: none;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5); /* Halbdurchsichtiger Hintergrund */
  justify-content: center;
  align-items: center;
}

/* Modal Inhalt */
.modal-content {
  background-color: hsl(290, 100%, 10%);
  padding: 20px;
  border-radius: 1rem;
  position: relative;
  width: 80%;
  height: 80%;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: 0.2rem 0.2rem 1rem rgba(255, 217.6, 204, 0.5);
}

/* Schließen Symbol (X) */
.close {
  position: absolute;
  top: 10px;
  right: 15px;
  font-size: 24px;
  cursor: pointer;
}

/* Google Map Container */
.map-container {
  width: 100%;
  height: 100%;
}

.map_link {
  display: flex;
  flex-direction: column;
  text-decoration: none;
  font-size: 1.2rem;
  transition: 0.5s;
  color: hsl(16, 100%, 90%);
}

.footer-brand {
  width: 100%;
  height: 10rem;
  background: linear-gradient(to left, rgb(255, 217.6, 204) 0%, rgba(255, 217.6, 204, 0) 100%);
  border-radius: 0.5rem;
  display: flex;
  padding: 0.2rem;
  justify-content: flex-end;
  align-items: center;
}

.footer-contacts {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  height: 100%;
  background: none;
  text-align: center;
  align-items: center;
  justify-content: space-between;
  margin-right: auto;
  width: 11rem;
}

.footer-contacts a {
  width: 3rem;
  height: 3rem;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: hsl(16, 100%, 90%);
  margin: 0.2rem;
  border-radius: 0.8rem;
  cursor: pointer;
  transition: 0.1s ease;
}

.footer-contacts a:hover {
  width: 3.2rem;
  height: 3.2rem;
}

.footer-contacts-inst {
  width: 95%;
  height: 95%;
}

.footer-contacts-tel {
  width: 95%;
  height: 95%;
}

.footer-contacts-wap {
  width: 70%;
  height: 70%;
}

.footer-logo-img {
  width: 10rem;
  height: 80%;
}

.footer-logo-lettering {
  height: 50%;
}

.home_image {
  object-fit: cover;
  object-position: center;
  width: 100%;
  max-width: 28rem;
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.6);
}

.home_text_container {
  height: 100%;
  display: flex;
  justify-content: center;
}

.home_text {
  max-width: 32rem;
  text-align: center;
  align-items: center;
}

.home_text p, h1, h2, h3, h4 {
  text-align: center;
  padding: 0.5rem 0;
}

.about_text {
  width: 90%;
  list-style-type: none;
}

.about_text li {
  padding: 0.6rem;
}

.about_text li:nth-child(even) {
  background: linear-gradient(to right, rgba(63.75, 0, 76.5, 0) 0%, rgb(63.75, 0, 76.5) 40%, rgba(63.75, 0, 76.5, 0) 90%);
}

.about_text p {
  text-align: left;
}

.topic_contant {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-auto-rows: 3rem;
  column-gap: 1rem;
  row-gap: 1rem;
  margin-top: 2rem;
}

.topic_box, .topic_box_wide {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 1rem;
  text-align: center;
  background-color: hsl(16, 100%, 90%);
  color: hsl(290, 100%, 10%);
  border-radius: 0.8rem;
}

.topic_box_wide {
  grid-column: span 2;
}

.topic_box_transparent {
  background-color: transparent;
}

@media (max-width: 1024px) {
  .topic_contant {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (max-width: 768px) {
  .topic_contant {
    grid-template-columns: 1fr;
  }
  .topic_box_wide {
    grid-column: auto;
  }
  .topic_box_transparent {
    display: none;
  }
}
.autor_text {
  width: 90%;
  list-style-type: none;
  padding-left: 0;
}

.autor_text li {
  padding: 0.6rem;
}

.autor_image {
  width: 85%;
}
